Get all Virtual Cards
curl --request GET \
--url https://api.flutterwave.com/v3/virtual-cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/virtual-cards"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/virtual-cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Cards fetched successfully",
"data": [
{
"id": "43ec6e92-9eb7-48ad-91c8-7bee425a33cf",
"account_id": 65637,
"amount": "20,000.00",
"currency": "NGN",
"card_hash": "43ec6e92-9eb7-48ad-91c8-7bee425a33cf",
"card_pan": "5366130699778900",
"masked_pan": "536613*******8900",
"city": "Lekki",
"state": "Lagos",
"address_1": "19, Olubunmi Rotimi",
"address_2": null,
"zip_code": "23401",
"cvv": "134",
"expiration": "2023-01",
"send_to": null,
"bin_check_name": null,
"card_type": "mastercard",
"name_on_card": "Jermaine Graham",
"created_at": "2020-01-17T18:33:29.013Z",
"is_active": true,
"callback_url": "https://your-callback-url.com/"
},
{
"id": "7dc7b98c-7f6d-48f3-9b31-859a145c8085",
"account_id": 65637,
"amount": "20,000.00",
"currency": "NGN",
"card_hash": "7dc7b98c-7f6d-48f3-9b31-859a145c8085",
"card_pan": "5366130719043293",
"masked_pan": "536613*******3293",
"city": "Lekki",
"state": "Lagos",
"address_1": "19, Olubunmi Rotimi",
"address_2": null,
"zip_code": "23401",
"cvv": "267",
"expiration": "2023-01",
"send_to": null,
"bin_check_name": null,
"card_type": "mastercard",
"name_on_card": "Jermaine Graham",
"created_at": "2020-01-17T18:31:48.97Z",
"is_active": true,
"callback_url": "https://your-callback-url.com/"
},
{
"id": "acdbb983-09e2-463f-970a-409833dd40c3",
"account_id": 65637,
"amount": "45,000.00",
"currency": "NGN",
"card_hash": "acdbb983-09e2-463f-970a-409833dd40c3",
"card_pan": "5366138839204877",
"masked_pan": "536613*******4877",
"city": "Lekki",
"state": "Lagos",
"address_1": "19, Olubunmi Rotimi",
"address_2": null,
"zip_code": "23401",
"cvv": "266",
"expiration": "2023-01",
"send_to": null,
"bin_check_name": null,
"card_type": "mastercard",
"name_on_card": "Aubrey Lamar",
"created_at": "2020-01-17T18:29:22.583Z",
"is_active": true,
"callback_url": null
},
{
"id": "9891e1ad-a24c-4e9b-a844-9ee990823312",
"account_id": 65637,
"amount": "50,000.00",
"currency": "NGN",
"card_hash": "9891e1ad-a24c-4e9b-a844-9ee990823312",
"card_pan": "5366130206773766",
"masked_pan": "536613*******3766",
"city": "Lekki",
"state": "Lagos",
"address_1": "19, Olubunmi Rotimi",
"address_2": null,
"zip_code": "23401",
"cvv": "391",
"expiration": "2023-01",
"send_to": null,
"bin_check_name": null,
"card_type": "mastercard",
"name_on_card": "Aubrey Marshall",
"created_at": "2020-01-17T18:21:56.483Z",
"is_active": true,
"callback_url": null
},
{
"id": "cfe5e068-3fbc-4a5b-a843-9393fe8592de",
"account_id": 65637,
"amount": "50,000.00",
"currency": "NGN",
"card_hash": "cfe5e068-3fbc-4a5b-a843-9393fe8592de",
"card_pan": "5366133796787097",
"masked_pan": "536613*******7097",
"city": "Lekki",
"state": "Lagos",
"address_1": "19, Olubunmi Rotimi",
"address_2": null,
"zip_code": "23401",
"cvv": "464",
"expiration": "2023-01",
"send_to": null,
"bin_check_name": null,
"card_type": "mastercard",
"name_on_card": "selma",
"created_at": "2020-01-14T05:24:48.747Z",
"is_active": true,
"callback_url": null
},
{
"id": "4edc6b82-5d3f-433f-848a-e980a72e63b0",
"account_id": 65637,
"amount": "45,000.00",
"currency": "NGN",
"card_hash": "4edc6b82-5d3f-433f-848a-e980a72e63b0",
"card_pan": "5366132470988252",
"masked_pan": "536613*******8252",
"city": "Lekki",
"state": "Lagos",
"address_1": "19, Olubunmi Rotimi",
"address_2": null,
"zip_code": "23401",
"cvv": "967",
"expiration": "2023-01",
"send_to": null,
"bin_check_name": null,
"card_type": "mastercard",
"name_on_card": "Jessica selma",
"created_at": "2020-01-14T05:24:18.373Z",
"is_active": true,
"callback_url": null
},
{
"id": "38c9201a-fcb2-48fd-875e-6494ed79a6bb",
"account_id": 65637,
"amount": "895,000.00",
"currency": "NGN",
"card_hash": "38c9201a-fcb2-48fd-875e-6494ed79a6bb",
"card_pan": "5366132231776517",
"masked_pan": "536613*******6517",
"city": "Lekki",
"state": "Lagos",
"address_1": "19, Olubunmi Rotimi",
"address_2": null,
"zip_code": "23401",
"cvv": "949",
"expiration": "2023-01",
"send_to": null,
"bin_check_name": null,
"card_type": "mastercard",
"name_on_card": "selma FLW",
"created_at": "2020-01-12T17:46:21.967Z",
"is_active": true,
"callback_url": null
}
]
}Virtual Cards
Get all Virtual Cards
Fetch the details of all virtual cards
GET
/
virtual-cards
Get all Virtual Cards
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Was this page helpful?
⌘I